[arch-commits] Commit in openoffice-base-devel/trunk (4 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Jun 20 12:54:42 EDT 2010


    Date: Sunday, June 20, 2010 @ 12:54:42
  Author: andyrtr
Revision: 83016

x86_64 now builds with system cppunit, i686 with stlport and internal cppunit is still broken, see http://qa.openoffice.org/issues/show_bug.cgi?id=111141

Added:
  openoffice-base-devel/trunk/cppunit_gcc45.diff
Modified:
  openoffice-base-devel/trunk/ChangeLog
  openoffice-base-devel/trunk/PKGBUILD
Deleted:
  openoffice-base-devel/trunk/shell.patch

--------------------+
 ChangeLog          |    5 +++++
 PKGBUILD           |   15 +++++++--------
 cppunit_gcc45.diff |   15 +++++++++++++++
 shell.patch        |   42 ------------------------------------------
 4 files changed, 27 insertions(+), 50 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2010-06-20 16:52:50 UTC (rev 83015)
+++ ChangeLog	2010-06-20 16:54:42 UTC (rev 83016)
@@ -1,3 +1,8 @@
+2010-06-18 Andreas Radke <andyrtr at archlinux.org>
+
+        * 3.3_dev300_m83-1:
+	- new snapshot
+
 2010-06-13 Andreas Radke <andyrtr at archlinux.org>
 
         * 3.3_dev300_m82-1:

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-20 16:52:50 UTC (rev 83015)
+++ PKGBUILD	2010-06-20 16:54:42 UTC (rev 83016)
@@ -4,7 +4,7 @@
 
 pkgbase="openoffice-base-devel"
 pkgname=('openoffice-base-devel' 'openoffice-sdk-devel')
-_OO_milestone=DEV300_m82
+_OO_milestone=DEV300_m83
 pkgver=3.3_${_OO_milestone/DEV/dev}
 pkgrel=1
 arch=('i686' 'x86_64')
@@ -14,7 +14,7 @@
              'bison' 'mercurial' 'automake' 'findutils' 'flex' 'gawk' 'gcc-libs' 'libart-lgpl' 'libxtst' 'boost>=1.41.0'
              'pam' 'sane' 'zip' 'perl-archive-zip' 'pkgconfig' 'unzip' "xulrunner>=1.9.2.2" 'unixodbc' 'nss' 'hsqldb-java' 
              'apache-ant>=1.8.0' 'cairo' 'gperf' 'libcups' 'poppler' 'kdelibs' 'pstoedit' 'gconf' "openjdk6>=6.b17_1.8"
-	     'beanshell' 'vigra' 'libmspack' 'libldap' 'lucene'  'libmythes' 'junit'
+	     'beanshell' 'vigra' 'libmspack' 'libldap' 'lucene'  'libmythes' 'junit' 'cppunit'
 	     # from main OOo the deps
 	     "curl>=7.20.0" "hunspell>=1.2.8" "python>=2.6.5" 'libwpd' 'libxaw' "neon>=0.28.6"
 	     'pango' 'nspr' 'libjpeg' 'libxrandr' 'libgl' 'dbus-glib' "icu>=4.2.1" 'libxslt'
@@ -32,7 +32,7 @@
 	http://cgit.freedesktop.org/ooo-build/ooo-build/plain/patches/dev300/cppu-lbnames-enable-gcc-4.5.diff
 	http://cgit.freedesktop.org/ooo-build/ooo-build/plain/patches/dev300/sal-cpprt-gcc-4.5-workaround.diff
 	http://cgit.freedesktop.org/ooo-build/ooo-build/plain/patches/dev300/fix-system-mythes-for-mythes-1.2.diff
-	http://cgit.freedesktop.org/ooo-build/ooo-build/plain/patches/dev300/redland-remove-patches.diff
+	cppunit_gcc45.diff
 	openoffice.profile)
 options=('!distcc' '!ccache' '!makeflags')
 
@@ -75,9 +75,6 @@
 
 	# allow build with system mythes
 	patch -Np0 -i ${srcdir}/fix-system-mythes-for-mythes-1.2.diff || return 1
-	# allow build with system redland and cppunit
-	# should also workaround all known bugs with plain upstream redland
-#	patch -Np0 -i ${srcdir}/redland-remove-patches.diff || return 1	
 
 	# allows soffice to find the user's firefox profile so that it can read
 	# its digital certificates. Nss stores digital certificates in your mozilla firefox profile. 
@@ -93,7 +90,9 @@
           # fix to build with SUN jdk/jre and OpenJDK
           # http://qa.openoffice.org/issues/show_bug.cgi?id=74749
 	  sed -i "s:lib64\/libjpeg.so:lib\/libjpeg.so:g" ${srcdir}/${_OO_milestone}/solenv/inc/libs.mk
-	 else EXTRAOPTS="--with-stlport"
+	 else EXTRAOPTS="--with-stlport	--without-system-cppunit"
+	  # 	http://hg.services.openoffice.org/cws/sb122/raw-rev/f77b0e62cc92
+	  cp -v ${srcdir}/cppunit_gcc45.diff ${srcdir}/${_OO_milestone}/cppunit/ldflags.patch
 	fi
 
 	cd ${srcdir}/${_OO_milestone}
@@ -257,7 +256,7 @@
        
        # install extensions
        pushd ${srcdir}/${_OO_milestone}/solver/300/unxlng?6.pro/bin
-         install -D -m644 oracle-report-builder.oxt ${pkgdir}/usr/lib/openoffice/share/extension/install/oracle-report-builder.oxt || return 1
+         install -D -m644 report-builder.oxt ${pkgdir}/usr/lib/openoffice/share/extension/install/report-builder.oxt || return 1
 	 install -D -m644 swext/wiki-publisher.oxt ${pkgdir}/usr/lib/openoffice/share/extension/install/wiki-publisher.oxt || return 1
 	 install -D -m644 minimizer/presentation-minimizer.oxt ${pkgdir}/usr/lib/openoffice/share/extension/install/presentation-minimizer.oxt || return 1
 	 install -D -m644 presenter/presenter-screen.oxt ${pkgdir}/usr/lib/openoffice/share/extension/install/presenter-screen.oxt || return 1

Added: cppunit_gcc45.diff
===================================================================
--- cppunit_gcc45.diff	                        (rev 0)
+++ cppunit_gcc45.diff	2010-06-20 16:54:42 UTC (rev 83016)
@@ -0,0 +1,15 @@
+--- misc/build/cppunit-1.12.1/src/cppunit/Makefile.am	2008-02-20 06:36:38.000000000 +0100
++++ misc/build/cppunit-1.12.1/src/cppunit/Makefile.am.new	2010-06-19 16:48:11.181542138 +0200
+@@ -63,5 +63,11 @@
+
+ libcppunit_la_LDFLAGS= \
+  -no-undefined -version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) \
+- -release $(LT_RELEASE)
++ -release $(LT_RELEASE) @LIBADD_DL@
+
++TESTS = t_link
++
++check_PROGRAMS = t_link
++
++t_link_SOURCES = t_link.cpp
++t_link_LDADD = libcppunit.la

Deleted: shell.patch
===================================================================
--- shell.patch	2010-06-20 16:52:50 UTC (rev 83015)
+++ shell.patch	2010-06-20 16:54:42 UTC (rev 83016)
@@ -1,42 +0,0 @@
-Index: source/unix/sysshell/systemshell.cxx
-===================================================================
-RCS file: /cvs/gsl/shell/source/unix/sysshell/systemshell.cxx,v
-retrieving revision 1.8
-diff -u -r1.8 systemshell.cxx
---- shell/source/unix/sysshell/systemshell.cxx	19 Jun 2007 16:12:44 -0000	1.8
-+++ shell/source/unix/sysshell/systemshell.cxx	13 Apr 2008 15:27:22 -0000
-@@ -62,6 +62,8 @@
- #include <com/sun/star/uno/XComponentContext.hpp>
- #endif
- 
-+#include "uno/current_context.hxx"
-+
- #include "osl/module.hxx"
- 
- using namespace ::com::sun::star;
-@@ -116,6 +118,25 @@
-     
-     bool init_recent_manager_api()
-     {
-+        bool bInGnome = false;
-+        try
-+        {
-+            uno::Reference< uno::XCurrentContext > xCurrentContext(uno::getCurrentContext());
-+
-+            if (xCurrentContext.is())
-+            {
-+                uno::Any aValue = xCurrentContext->getValueByName(
-+                    rtl::OUString( RTL_CONSTASCII_USTRINGPARAM( "system.desktop-environment" ) ) );
-+
-+                rtl::OUString aDesktopEnvironment;
-+                if ( (aValue >>= aDesktopEnvironment) && (aDesktopEnvironment.equalsIgnoreAsciiCaseAscii("gnome")) )
-+                    bInGnome = true;
-+            }
-+        } catch ( ... ) {}
-+
-+        if (!bInGnome)
-+            return false;
-+
-         oslModule hDefault;
-         if( osl_getModuleHandle( NULL, &hDefault ) )
-         {



More information about the arch-commits mailing list